// Decompiled by Jad v1.5.8g. Copyright 2001 Pavel Kouznetsov.
// Jad home page: http://www.kpdus.com/jad.html
// Decompiler options: packimports(3) 

package ilog.views.util.lang;


// Referenced classes of package ilog.views.util.lang:
//            IlvLangUtil

public class IlvLangUtil15 extends IlvLangUtil
{

    public IlvLangUtil15()
    {
    }

    int a(int i)
    {
        return Character.charCount(i);
    }

    int a(String s, int i)
    {
        return s.codePointAt(i);
    }

    int b(String s, int i)
    {
        return s.codePointBefore(i);
    }

    int a(char c1, char c2)
    {
        return Character.toCodePoint(c1, c2);
    }

    boolean d(int i)
    {
        return Character.isDigit(i);
    }

    boolean e(int i)
    {
        return Character.isLetter(i);
    }

    boolean b(int i)
    {
        return Character.isLowerCase(i);
    }

    boolean c(int i)
    {
        return Character.isUpperCase(i);
    }

    boolean h(int i)
    {
        return Character.isLetterOrDigit(i);
    }

    boolean f(int i)
    {
        return Character.isSpaceChar(i);
    }

    boolean g(int i)
    {
        return Character.isWhitespace(i);
    }
}
